Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dtd
Class XMLNotationDecl

    java.lang.Object
      |
      +--org.apache.xerces.impl.dtd.XMLNotationDecl

public class XMLNotationDecl
extends java.lang.Object

Version:
  $Id: XMLNotationDecl.java,v 1.4 2002/01/29 01:15:10 lehors Exp $

Field Summary
`java.lang.String` | `baseSystemId` base systemId
`java.lang.String` | `name` name
`java.lang.String` | `publicId` publicId
`java.lang.String` | `systemId` systemId

Constructor Summary
`XMLNotationDecl()`

Method Summary
`void` | `clear()` clear
`void` | `setValues(java.lang.String name, java.lang.String publicId, java.lang.String systemId, java.lang.String baseSystemId)` setValues

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  name

### publicId

    public java.lang.String publicId

  publicId

### systemId

    public java.lang.String systemId

  systemId

### baseSystemId

    public java.lang.String baseSystemId

  base systemId

Constructor Detail

### XMLNotationDecl

    public XMLNotationDecl()

Method Detail

### setValues

    public void setValues(java.lang.String name,
                          java.lang.String publicId,
                          java.lang.String systemId,
                          java.lang.String baseSystemId)

  setValues
  Parameters:
    `name` -
    `publicId` -
    `systemId` -

### clear

    public void clear()

  clear

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.